#214 Test fails on OpenBSD

v0.9.2
closed
nobody
None
5
2015-02-17
2014-07-13
No

I've managed to port MLT framework to OpenBSD and run built-in tests. The following test crashes, though: SetAndGetTimeCode

Here is a gdb backtrace. Unfortunately, I can't see what's exactly is happening here, because even when built with debugging symbols, gdb doesn't pick the source up. If you need more info and/or run additional tests feel free to ask me.

* Start testing of TestProperties *
Config: Using QTest library 4.8.5, Qt 4.8.5
PASS : TestProperties::initTestCase()
PASS : TestProperties::InstantiationIsAReference()
PASS : TestProperties::CopyAddsReference()
PASS : TestProperties::DestructionRemovesReference()
PASS : TestProperties::SetAndGetString()
PASS : TestProperties::SetAndGetInt()
PASS : TestProperties::SetAndGetDouble()
PASS : TestProperties::SetAndGetInt64()
PASS : TestProperties::SetAndGetData()
PASS : TestProperties::IntFromString()
PASS : TestProperties::Int64FromString()
PASS : TestProperties::DoubleFromString()
PASS : TestProperties::SetNullRemovesProperty()
PASS : TestProperties::SetAndGetHexColor()
PASS : TestProperties::SetAndGetCssColor()
QFATAL : TestProperties::SetAndGetTimeCode() Received signal 11
FAIL! : TestProperties::SetAndGetTimeCode() Received a fatal error.
Loc: [Unknown file(0)]
Totals: 15 passed, 1 failed, 0 skipped
* Finished testing of TestProperties *
<...>
(gdb) bt

0 0x06212a71 in kill () at <stdin>:2

1 0x0627d996 in raise (s=6) at /usr/src/lib/libc/gen/raise.c:39

2 0x0627d8e0 in abort () at /usr/src/lib/libc/stdlib/abort.c:53

3 0x07c47e9c in qt_message_output () from /usr/local/lib/libQtCore.so.9.0

4 0x07c481ee in qputenv () from /usr/local/lib/libQtCore.so.9.0

5 0x07c4830d in qFatal () from /usr/local/lib/libQtCore.so.9.0

6 0x01e375d7 in QTest::FatalSignalHandler::signal () from /usr/local/lib/libQtTest.so.7.0

7 <signal handler="" called="">

8 strlen (str=0x0) at /usr/src/lib/libc/string/strlen.c:39

9 0x070109ec in mlt_profile_select (name=0x26febb03 "dv_pal") at mlt_profile.c:61

10 0x07010bc6 in mlt_profile_init (name=0x0) at mlt_profile.c:113

11 0x0684f45b in Mlt::Profile::Profile () from /usr/local/lib/libmlt++.so.0.0

12 0x17d174d3 in ?? () from /usr/obj/p/mlt-0.9.2/mlt-0.9.2/src/tests/test_properties/test_properties

13 0xcfbf98d4 in ?? ()

14 0xcfbf98d4 in ?? ()

15 0x37d13117 in ?? () from /usr/obj/p/mlt-0.9.2/mlt-0.9.2/src/tests/test_properties/test_properties

16 0x27ca46dc in ?? () from /usr/local/lib/libQtCore.so.9.0

17 0x00000001 in ?? ()

18 0x37d14c88 in ?? () from /usr/obj/p/mlt-0.9.2/mlt-0.9.2/src/tests/test_properties/test_properties

19 0xcfbf9908 in ?? ()

20 0xcfbfa240 in ?? ()

21 0x00000002 in ?? ()

22 0x00000000 in ?? ()

Current language: auto; currently asm

Related

Bugs: #214

Discussion

  • Dan Dennedy

    Dan Dennedy - 2014-07-13

    None of the regular devs/contributors runs OpenBSD. We depend entirely upon patches for that. If you look in configure script, there are things for NetBSD and FreeBSD but not yet OpenBSD.
    Tracing some of the code from mlt_profile.c:61, it looks like there could be a problem with PREFIX_DATA being undefined. Under normal POSIX builds, we depend upon a compile-time define for that. Please verify from compile log that is defined to a non-empty string.

     
    • Vadim Zhukov

      Vadim Zhukov - 2014-07-13

      2014-07-13 20:54 GMT+02:00 Dan Dennedy ddennedy@users.sf.net:

      None of the regular devs/contributors runs OpenBSD. We depend entirely upon
      patches for that. If you look in configure script, there are things for
      NetBSD and FreeBSD but not yet OpenBSD.
      Tracing some of the code from mlt_profile.c:61, it looks like there could be
      a problem with PREFIX_DATA being undefined. Under normal POSIX builds, we
      depend upon a compile-time define for that. Please verify from compile log
      that is defined to a non-empty string.

      Aha, that's something. I'll look at that in and report back (probably
      with a patch), thanks!


      [bugs:#214] Test fails on OpenBSD

      Status: open
      Group: v0.9.2
      Created: Sun Jul 13, 2014 02:28 PM UTC by Vadim Zhukov
      Last Updated: Sun Jul 13, 2014 02:28 PM UTC
      Owner: nobody

      I've managed to port MLT framework to OpenBSD and run built-in tests. The
      following test crashes, though: SetAndGetTimeCode

      Here is a gdb backtrace. Unfortunately, I can't see what's exactly is
      happening here, because even when built with debugging symbols, gdb doesn't
      pick the source up. If you need more info and/or run additional tests feel
      free to ask me.

      • Start testing of TestProperties *
        Config: Using QTest library 4.8.5, Qt 4.8.5
        PASS : TestProperties::initTestCase()
        PASS : TestProperties::InstantiationIsAReference()
        PASS : TestProperties::CopyAddsReference()
        PASS : TestProperties::DestructionRemovesReference()
        PASS : TestProperties::SetAndGetString()
        PASS : TestProperties::SetAndGetInt()
        PASS : TestProperties::SetAndGetDouble()
        PASS : TestProperties::SetAndGetInt64()
        PASS : TestProperties::SetAndGetData()
        PASS : TestProperties::IntFromString()
        PASS : TestProperties::Int64FromString()
        PASS : TestProperties::DoubleFromString()
        PASS : TestProperties::SetNullRemovesProperty()
        PASS : TestProperties::SetAndGetHexColor()
        PASS : TestProperties::SetAndGetCssColor()
        QFATAL : TestProperties::SetAndGetTimeCode() Received signal 11
        FAIL! : TestProperties::SetAndGetTimeCode() Received a fatal error.
        Loc: [Unknown file(0)]
        Totals: 15 passed, 1 failed, 0 skipped
      • Finished testing of TestProperties *
        <...>
        (gdb) bt

      0 0x06212a71 in kill () at <stdin>:2

      1 0x0627d996 in raise (s=6) at /usr/src/lib/libc/gen/raise.c:39

      2 0x0627d8e0 in abort () at /usr/src/lib/libc/stdlib/abort.c:53

      3 0x07c47e9c in qt_message_output () from /usr/local/lib/libQtCore.so.9.0

      4 0x07c481ee in qputenv () from /usr/local/lib/libQtCore.so.9.0

      5 0x07c4830d in qFatal () from /usr/local/lib/libQtCore.so.9.0

      6 0x01e375d7 in QTest::FatalSignalHandler::signal () from
      /usr/local/lib/libQtTest.so.7.0

      7 <signal handler="" called="">

      8 strlen (str=0x0) at /usr/src/lib/libc/string/strlen.c:39

      9 0x070109ec in mlt_profile_select (name=0x26febb03 "dv_pal") at
      mlt_profile.c:61

      10 0x07010bc6 in mlt_profile_init (name=0x0) at mlt_profile.c:113

      11 0x0684f45b in Mlt::Profile::Profile () from
      /usr/local/lib/libmlt++.so.0.0

      12 0x17d174d3 in ?? () from
      /usr/obj/p/mlt-0.9.2/mlt-0.9.2/src/tests/test_properties/test_properties

      13 0xcfbf98d4 in ?? ()

      14 0xcfbf98d4 in ?? ()

      15 0x37d13117 in ?? () from
      /usr/obj/p/mlt-0.9.2/mlt-0.9.2/src/tests/test_properties/test_properties

      16 0x27ca46dc in ?? () from /usr/local/lib/libQtCore.so.9.0

      17 0x00000001 in ?? ()

      18 0x37d14c88 in ?? () from
      /usr/obj/p/mlt-0.9.2/mlt-0.9.2/src/tests/test_properties/test_properties

      19 0xcfbf9908 in ?? ()

      20 0xcfbfa240 in ?? ()

      21 0x00000002 in ?? ()

      22 0x00000000 in ?? ()

      Current language: auto; currently asm

      --
      WBR,
      Vadim Zhukov

       

      Related

      Bugs: #214

      • Vadim Zhukov

        Vadim Zhukov - 2014-07-13

        2014-07-13 21:27 GMT+02:00 Vadim Zhukov grayed@users.sf.net:

        2014-07-13 20:54 GMT+02:00 Dan Dennedy ddennedy@users.sf.net:

        None of the regular devs/contributors runs OpenBSD. We depend entirely upon

        patches for that. If you look in configure script, there are things for
        NetBSD and FreeBSD but not yet OpenBSD.
        Tracing some of the code from mlt_profile.c:61, it looks like there could be
        a problem with PREFIX_DATA being undefined. Under normal POSIX builds, we
        depend upon a compile-time define for that. Please verify from compile log
        that is defined to a non-empty string.

        Aha, that's something. I'll look at that in and report back (probably
        with a patch), thanks!

        So what I got by sprinkling fprintf()s here and there is that
        global_properties isn't initialized, as a result mlt_environment()
        called at mlt_profile.c:60 returns NULL. Since I don't orientate
        myself in MLT code well and cannot decide what should be done here,
        I'm just reporting it now and stand waiting for future input. :)

        --
        WBR,
        Vadim Zhukov

         
        • Vadim Zhukov

          Vadim Zhukov - 2014-07-13

          2014-07-14 0:47 GMT+02:00 Vadim Zhukov persgray@gmail.com:

          2014-07-13 21:27 GMT+02:00 Vadim Zhukov grayed@users.sf.net:

          2014-07-13 20:54 GMT+02:00 Dan Dennedy ddennedy@users.sf.net:

          None of the regular devs/contributors runs OpenBSD. We depend entirely upon

          patches for that. If you look in configure script, there are things for
          NetBSD and FreeBSD but not yet OpenBSD.
          Tracing some of the code from mlt_profile.c:61, it looks like there could be
          a problem with PREFIX_DATA being undefined. Under normal POSIX builds, we
          depend upon a compile-time define for that. Please verify from compile log
          that is defined to a non-empty string.

          Aha, that's something. I'll look at that in and report back (probably
          with a patch), thanks!

          So what I got by sprinkling fprintf()s here and there is that
          global_properties isn't initialized, as a result mlt_environment()
          called at mlt_profile.c:60 returns NULL. Since I don't orientate
          myself in MLT code well and cannot decide what should be done here,
          I'm just reporting it now and stand waiting for future input. :)

          I'd have to add that global_properties wasn't initialized a single
          time during tests, ever - it's not that mlt_properties_close() was
          called.

          --
          WBR,
          Vadim Zhukov

           
  • Dan Dennedy

    Dan Dennedy - 2014-07-14

    Thanks. Fixed error in tests in MLT git commit ac3977c

     
  • Dan Dennedy

    Dan Dennedy - 2014-07-14
    • status: open --> accepted
     
    • Vadim Zhukov

      Vadim Zhukov - 2014-07-14

      2014-07-14 3:14 GMT+02:00 Dan Dennedy ddennedy@users.sf.net:

      status: open --> accepted
      Comment:

      Thanks. Fixed error in tests in MLT git commit ac3977c

      I confirm that tests are passing fine now (except one locale-related,
      but it's due to lack of proper locale support in OS itself). Thanks!

      I'll mail other patches I have for OpenBSD separately.

      --
      WBR,
      Vadim Zhukov

       
  • Dan Dennedy

    Dan Dennedy - 2015-02-17
    • Status: accepted --> closed
     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks